Bug 112989 - upgrage of spamassassin should restart spamd
upgrage of spamassassin should restart spamd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 18:25 EST by Petri T. Koistinen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-28 17:36:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri T. Koistinen 2004-01-06 18:25:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031107 Debian/1.5-3

Description of problem:
[root@dsl-hkigw4db2 petri]# rpm -Uvh spamassassin-2.61-1.i386.rpm 
Preparing...               ###########################################
[100%]
   1:spamassassin          ###########################################
[100%]
[root@dsl-hkigw4db2 petri]# exit
[petri@dsl-hkigw4db2 petri]$ echo foo | spamc
-bash:  spamc: command not found
[petri@dsl-hkigw4db2 petri]$ echo foo | spamc
X-Mail-Format-Warning: Bad RFC2822 header formatting in foo
X-Spam-Status: No, hits=2.9 required=5.0
        tests=DATE_MISSING,FROM_MISSING,MISSING_HEADERS,
              SPAM_PHRASE_00_01,SUBJ_MISSING
        version=2.44
X-Spam-Level: **

[petri@dsl-hkigw4db2 petri]$ 


Version-Release number of selected component (if applicable):
spamassassin-2.61-1

How reproducible:
Always

Steps to Reproduce:
1. Install new spamassassin while old spamd is running.
    

Actual Results:  Old spamd is still running

Expected Results:  Spamd should be restarted.


Additional info:

This can be a security issue if old version has serious security bug.
User lives in false sense of security after upgrade.
Comment 1 Warren Togami 2004-02-10 05:19:29 EST
Please submit an exact patch that you have tested against the SRPM
contents to fix this behavior.  You have 24 hours to do so before the
spamassassin FC1 test update is being pushed.
Comment 2 Ville Skyttä 2004-02-10 12:04:14 EST
I can't find 2.61-1 anywhere, but upgrading from FC1's 2.60-2 to
Rawhide's 2.63-5 (rebuilt for FC1) works as expected here, and I can't
see anything obviously wrong with the package (irrelevant lines snipped):

# rpm -q spamassassin
spamassassin-2.60-2
# /etc/init.d/spamassassin status
spamd (pid 17103) is running...
# echo foo | spamc
        autolearn=no version=2.60
X-Spam-Checker-Version: SpamAssassin 2.60 (1.212-2003-09-23-exp) on
# rpm -Fvh spamassassin-2.63-5.i386.rpm
# rpm -q spamassassin
spamassassin-2.63-5
# echo foo | spamc
X-Spam-Checker-Version: SpamAssassin 2.63 (2004-01-11) on        
autolearn=no version=2.63
Comment 3 Ville Skyttä 2004-02-10 12:08:17 EST
Petri>         version=2.44

Actually there are some notes in the package's %changelog around
version 2.44, the condrestart was moved to %postun back then as well
as other init script fixes were made.  Maybe related, dunno.
Comment 4 Warren Togami 2004-02-10 16:02:10 EST
I thought this wasn't an issue anymore, but was just confirming.  If
no other news then I'm pushing 2.63-5 as 2.63-0.1 for FC1
updates/testing tonight.
Comment 5 Warren Togami 2004-02-28 17:36:28 EST
I've tested this personally a few times and it seems fine to me in FC1
+ updates and rawhide.  Please REOPEN if this becomes a problem again.

Note You need to log in before you can comment on or make changes to this bug.